#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.1"

# Clone Upstream
git clone https://github.com/Jappie3/wayfreeze.git
cp -rvf ./debian ./wayfreeze/
cd ./wayfreeze/

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p wayfreeze_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y
apt-get install curl -y
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | CARGO_HOME=/root/.cargo sh -s -- -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
